This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998084 - Anaconda does not use kickstart network configuration if --device is not specified
Anaconda does not use kickstart network configuration if --device is not spec...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 03:45 EDT by A.J. Werkman
Modified: 2015-02-17 11:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:47:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda.log (10.14 KB, text/plain)
2013-08-21 03:16 EDT, A.J. Werkman
no flags Details
ifcfg.log (663 bytes, text/plain)
2013-08-21 03:17 EDT, A.J. Werkman
no flags Details
anaconda.ifcfg.log (663 bytes, text/plain)
2013-08-21 03:22 EDT, A.J. Werkman
no flags Details
syslog (142.38 KB, text/plain)
2013-08-21 03:22 EDT, A.J. Werkman
no flags Details
Kickstart file (2.17 KB, text/plain)
2013-08-21 03:27 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-08-17 03:45:12 EDT
Description of problem:
When installing fedora with a kickstart file, anaconda does not use the network parameters defined in the kickstart file to configure the NIC

Version-Release number of selected component (if applicable):
Fedora 19

How reproducible:
Everytime

Steps to Reproduce:
1. Create a kickstart file with a 'network' line in it setting the NIC to a fixed address.
2. boot the installation with a kernel commandline containing an 'ip=x.x.x.x::x.x.x.x:x.x.x.x:hostname::none' section
3. Make sure that the network settings from the commandline differ from the network settings in the kickstart file
4. Install the system
5. View the network settings of the installed system

Actual results:
The installed system has the network configured according to the commandline settings.

Expected results:
The installed system should have the network configured as defined in the kickstart file

Additional info:
Even when installing without the use of a network during installation, and as such no need to configure the network on de kernel commandline, the resulting system has a NIC set to DHCP, even if in the kickstart file there is a fixed address setting.
Comment 1 Radek Vykydal 2013-08-19 04:33:45 EDT
I suspect device names being a problem here (--device option of kickstart network command). Could you please attach /tmp/anaconda.log /tmp/anaconda.ifcfg.log and /tmp/syslog and your kickstart? You can find corresponding log files also on installed system in /var/log/anaconda.
Comment 2 A.J. Werkman 2013-08-21 03:16:17 EDT
Created attachment 788731 [details]
Anaconda.log
Comment 3 A.J. Werkman 2013-08-21 03:17:29 EDT
Created attachment 788732 [details]
ifcfg.log
Comment 4 A.J. Werkman 2013-08-21 03:22:04 EDT
Created attachment 788733 [details]
anaconda.ifcfg.log
Comment 5 A.J. Werkman 2013-08-21 03:22:37 EDT
Created attachment 788734 [details]
syslog
Comment 6 A.J. Werkman 2013-08-21 03:27:56 EDT
Created attachment 788736 [details]
Kickstart file
Comment 7 Radek Vykydal 2013-08-21 03:50:26 EDT
l(In reply to Radek Vykydal from comment #1)
> I suspect device names being a problem here (--device option of kickstart
> network command)

network --onboot yes --bootproto static --ip 172.18.92.70 --netmask 255.255.255.192 --gateway 172.18.92.65 --nameserver 172.18.92.65 --hostname cfl.lc.digifarma.n

Yes, currently we require --device to be specified in kickstart network command.
Comment 8 A.J. Werkman 2013-08-26 14:41:21 EDT
Technically this might be reasonable, but from a user point of view, this makes the network command in a kickstart useless. Nowadays you can not predict the NIC name on a computer. So to be able to supply this info in a kickstart file you need to do a bogus install first. This gives you the opportunity to see how the NIC device is called in this particular hardware. And this info you use to compose the kickstart file. In those curcumstances it is easier to to supplie the network data on the command line makeing the network line in the kickstart file useless.
Comment 9 Radek Vykydal 2014-05-29 08:03:25 EDT
Although it is not a complete solution for your use case, it is possible to use --device=link which will apply the configuration to first device with link found.
Comment 10 Fedora End Of Life 2015-01-09 14:29:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 11:47:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.